

<div id="nav-bar">

  <div  *ngIf="loggedIn()" class="nav-bar">

    <div id="nav-bar-content">

      <div id="nav-bar-left">

         

          <div  *ngIf="loggedIn()" class="nav-bar-items" style="cursor: pointer; display: inline-block;" >  <i class="fas fa-bars" ></i>   </div>

          <div  class="nav-bar-items"  style="cursor: pointer; display: inline-block;" >      Vaiolin </div>

      </div>


      <div id="nav-bar-center">

          <div *ngIf="loggedIn()" style=" display: flex; align-items: center; justify-content: center; height: 100% " >

              <form class="form-inline my-2 my-lg-0 " style="width: 100%; display: flex; align-items: center; justify-content: center; ">

                  <div style="display: flex; align-items: center; justify-content: center; width: 90%;">

                      <input class="form-control mr-sm-2" style="width: 70%; height: 60%; border-radius: 100px; background-color: white ; border:none" type="search" placeholder="Nome canzone/Codice artista" aria-label="Search">
                      <button class="btn my-2 my-sm-0 " style=" margin-right: 1em; height: 90%; border-radius: 8px;  color: #ffffff;" type="submit"><i class="fas fa-search"></i></button>
                      <button class="btn my-2 my-sm-0 " > <i class="fas fa-filter"></i></button>

                  </div>
                 
                  

                  
                  
              </form>

          </div>

      </div>

      

      <div id="nav-bar-right">

        

        
        <div *ngIf="!loggedIn()"    class="nav-bar-items">   </div>


        
        <div *ngIf="loggedIn() &&  userHasProfile "  class="nav-bar-items"> <button class="mat-button p-0" style="min-width: 40px !important;"> <i  class="fas fa-user"></i> </button> </div>

        <div *ngIf="loggedIn() &&  userHasProfile "  class="nav-bar-items"> <button class="mat-button p-0" style="min-width: 40px !important;"> <i class="fas fa-bell"></i> </button> </div>

        <div *ngIf="loggedIn() &&  userHasProfile "  class="nav-bar-items"> <button class="mat-button p-0" style="min-width: 40px !important;"> <i class="fas fa-wallet"></i> </button> </div>

        <div *ngIf="loggedIn() &&  userHasProfile "  class="nav-bar-items"> <button class="mat-button p-0" style="min-width: 40px !important;"> <i (click)="onLogOutClick()" class="fas fa-sign-out-alt"></i></button> </div>


        
        
      </div>

      

  </div>

  </div>

    

</div>



<router-outlet></router-outlet> 

<app-profile [show]="loggedIn() &&  userHasProfile" ></app-profile>

<!-- Sidebar -->

<div *ngIf="loggedIn()" class="sidebar"  [class.open]="isMenuOpen" [class.close]="!isMenuOpen" opened>
    
    

    <div id="sidebar">



      <ul class="list-group" id="menu" style="margin-bottom: 2em;">


        <li class="list-group-item d-flex justify-content-between align-items-center" [routerLink]="['/home']">
          Post seguiti
          <span class="badge badge-success badge-pill">+20</span>
          
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center" [routerLink]="['/pagina-offerte']">
          Offerte
          <span class="badge badge-success badge-pill">+3</span>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center"  [routerLink]="['/pagina-inserzioni']">
          Inserzioni
          <span class="badge badge-success badge-pill">+3</span>
          
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center" [routerLink]="['/eventi']">
          Eventi
          <span class="badge badge-success badge-pill">+1</span>
          
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          Sfide
          
        </li>
        
        <li class="list-group-item d-flex justify-content-between align-items-center">
          Chat
          <span class="badge badge-success badge-pill">+1</span>
        </li>


        <li class="list-group-item d-flex justify-content-between align-items-center">
          Preferiti
          
        </li>
        
        

        
        
      </ul>


      <ul class="list-group" id="menu">


        <li class="list-group-item d-flex justify-content-between align-items-center" [routerLink]="['/home']">
          Passa a pro
          
          
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          Faq
          
        </li>

        <li class="list-group-item d-flex justify-content-between align-items-center">
          Chi siamo
          
        </li>
        
        
        

        
        
      </ul>
  
      
  
    </div>

</div>

<!-- Fine -->


<div *ngIf="loggedIn()" >


  <button  (click)="onCreatePostClick()"
  mat-fab color="warn" id="post-button"> <mat-icon>add</mat-icon> </button>

</div>